| Home | Libraries | People | FAQ | More

## Struct template shift_left

boost::proto::shift_left — A metafunction for generating left-shift expression types, a grammar element for matching left-shift expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct shift_left :  proto::transform< shift_left<T, U> > {
      // types
      typedef proto::expr< proto::tag::shift_left, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::shift_left, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<shift_left>::template impl<Expr, State, Data>
      {
      };
    };

## Description